package com.hotent.surveyinfo.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.base.manager.BaseManager;
import com.hotent.base.query.PageList;
import com.hotent.surveyinfo.model.*;
import com.hotent.surveyinfo.req.ConstSurveyPageReq;
import com.hotent.surveyinfo.req.ConstVerifyPageParam;
import com.hotent.surveyinfo.req.ConstVerifyPageReq;

import java.util.List;

/**
 * 成本核定表模板表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-19
 */
public interface CostVerifyTemplateManager extends BaseManager<CostVerifyTemplate> {

	IPage<CostVerifyTemplate> getCostSurveyList(ConstVerifyPageReq req);


//	List<CostSurveyTemplate> selectByCondition(CostSurveyTemplate costSurveyTemplate );
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostVerifyTemplate getDetail(String id);
	/**
	 * 新建、更新成本核定表模板表
	 * @param costSurveyTemplate
	 * @return
	 */
	void createOrUpdate(CostVerifyTemplate costSurveyTemplate);

	void batchRemove(List<String> ids);

	 List<CostVerifyTemplateHeaders> getHeadersByTemplateId(String templateId) ;

	 List<CostVerifyTemplateItems> getItemsByTemplateId(String templateId) ;
	String selectMaxVersionByDate(String dateStr);
	String generateVersionNumber();


    PageList<CostVerifyTemplate> listPage(ConstVerifyPageParam param) throws Exception;
}
